Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed
Interface CopyFrom<T>

All Known Subinterfaces:
  DCModule, DCSubject, Module, SyModule, SyndContent, SyndEnclosure, SyndEntry, SyndFeed, SyndImage

All Known Implementing Classes:
  DCModuleImpl, DCSubjectImpl, ModuleImpl, SyModuleImpl, SyndContentImpl, SyndEnclosureImpl, SyndEntryImpl, SyndFeedImpl, SyndImageImpl

    public interface CopyFrom<T>

Author:
  Alejandro Abdelnur

Method Summary
`void` | `copyFrom(CopyFrom obj)` Copies all the properties of the given bean into this one.
`Class<? extends CopyFrom>` | `getInterface()` Returns the interface the copyFrom works on.

Method Detail

### getInterface

    Class<? extends CopyFrom> getInterface()

  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Returns:
    the interface the copyFrom works on.

### copyFrom

    void copyFrom(CopyFrom obj)

  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Parameters:
    `obj` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.